Create enrollment token

  • POST /platform/configuration/security/enrollment-tokens
Auth

Creates an enrollment token.

Request body

Request parameters for the enrollment token

roles string[]

The additional services for which this enrollment token applies (empty if not specified, ie system services only)

persistent boolean required

Whether this token can subsequently to its grant be revoked from the UI

validity_in_seconds integer · format: int32

The time in seconds for which this token is valid (defaults to 1 hour). Currently this can only be set for ephemeral (persistent: false) tokens.

Responses

A token has been generated that can be used to start new servers with the requested roles

application/octet-stream
token string required

The requested token

token_id string

An identifier for the requested token (if persistent) that can be used in listing and deletion

The token request format was invalid, details in the error (code: 'enrollment_tokens.invalid_token_request')

application/octet-stream
errors object[] required

A list of errors that occurred in the failing request

code string required

A structured code representing the error type that occurred

message string required

A human readable message describing the error that occurred

fields string[]

If the error can be tied to a specific field or fields in the user request, this lists those fields

No signing key is available to generate a token (code: 'enrollment_tokens.signing_key_not_found')

application/octet-stream
errors object[] required

A list of errors that occurred in the failing request

code string required

A structured code representing the error type that occurred

message string required

A human readable message describing the error that occurred

fields string[]

If the error can be tied to a specific field or fields in the user request, this lists those fields